Neuigkeiten
  • Die modified eCommerce Shopsoftware ist kostenlos, aber nicht umsonst.
    Spenden
  • Damit wir die modified eCommerce Shopsoftware auch zukünftig kostenlos anbieten können:
    Spenden
  • Thema: ANLEITUNG: modified eCommerce Shopsoftware v1.0x auf v1.0y aktualisieren

    Tomcraft

    • modified Team
    • Gravatar
    • Beiträge: 44.083
    • Geschlecht:
    Diese Anleitung wird fortan im modified eCommerce Shopsoftware Wiki gepflegt: Tutorial: modified eCommerce Shopsoftware v1.0x auf v1.0y aktualisieren



    Linkback: https://www.modified-shop.org/forum/index.php?topic=3731.0

    mikel123

    • Fördermitglied
    • Beiträge: 90
    Hallo Leute,
    ich benötige Eure Hilfe, vorweg, ich bin der absolute "DAU" und versuche mich durch das Zeug´s zu beissen, was mir auch so halbwegs gelingt, nun mein Problem zur Updaterei. Möchte auf die Version 1.03 (von 1.02) aktualisieren, komme aber mit obiger Anleitung nicht klar. Punkt 1,2,3a ist klar, bei 3b krieg ich schon Falten auf die Stirn:

    Zitat
    b) das Update v1.0x --> v1.0y herunterladen und alle Dateien aus dem Ordner in den Ordner wo dein alter Shop jetzt liegt (z.B. "shop_alt_102") hinein kopieren.

    was soll hier von wo nach wo kopiert werden ? Die neue Version wurde doch in Punkt 3a schon hochgeladen...

    desweiteren Punkt 5
    Zitat
    alte xtc Datenbank über phpMyAdmin auf modified eCommerce Shopsoftware Standard anheben

    Das kapiere ich garnicht, habe keinen blassen Schimmer von dem Datenbankzeugs, könnte mir jemand erklären was ich da genau machen muss  :(

    Ich danke schonmal für die Hilfe...

    gruss
    Mikel

    Tomcraft

    • modified Team
    • Gravatar
    • Beiträge: 44.083
    • Geschlecht:
    Entweder 3.a) oder 3.b) nicht beide Varianten, dafür steht das Wort "alternativ". *g*

    Mit 5.) ist gemeint, dass du die update 1.0x_to_1.0y.sql aus dem Ordner xtc_installer in die Datenbank einspielst.

    Grüße

    Torsten

    mikel123

    • Fördermitglied
    • Beiträge: 90
    danke, manchmal sieht man den Wald vor lauter Bäumen nicht  :oops:  

    jetzt hat´s geklappt  :thx:

    Tomcraft

    • modified Team
    • Gravatar
    • Beiträge: 44.083
    • Geschlecht:
    Das freut mich, danke für die Rückmeldung!

    Grüße

    Torsten

    dully007

    • Frisch an Board
    • Beiträge: 53
    hmm, das sieht ja alles schön aus, aber igrendwas funzt bei mir nicht.
    Habe eine vollständig neue Installation mit 1.03 hier aus dem Forum gemacht. Läuft auch alles gut.
    Die entsprechenden Zahlungsmodule sind deaktiviert.
    Nun wollte ich eine db mit einem fertigen Shop der Version 1.02 einspielen.
    Habe die db mittels MySQLDumper eingespielt.
    Dann wollte ich in phpMyAdmin unter dem Menupunkt "Import" die Datei "update_1.02_to_1.03.sql" ausführen. Dazu habe ich die Einstellungen wie folgt genutzt:
    Zitat
    Character set of the file: utf8

    Partial import
    Häkchen gesetzt und
    Number of records (queries) to skip from start: 0

    Format of imported file:
    SQL Options
    SQL compatibility mode: NONE
    und ein Häkchen bei "Do not use AUTO_INCREMENT for zero values"

    Leider bekomme ich dann die folgende Fehlermeldung

    Code: SQL  [Auswählen]
    Error

    SQL query:

    INSERT INTO configuration( configuration_id, configuration_key, configuration_value, configuration_group_id, sort_order, last_modified, date_added, use_function, set_function )
    VALUES (
    '', '_PAYMENT_MONEYBOOKERS_PWD', '', 31, 2, NULL , '', NULL , NULL
    );

    MySQL said: Documentation
    #1062 - Duplicate entry '0' FOR KEY 1
    Hat einer von Euch eine Ahnung was ich falsch mache?

    Tomcraft

    • modified Team
    • Gravatar
    • Beiträge: 44.083
    • Geschlecht:
    Jepp, du hattest das Moneybookers Modul schon in modified eCommerce Shopsoftware 1.02 integriert, dann kommentiere die entsprechenden Zeilen in der "update_1.02_to_1.03.sql" einfach aus.

    Grüße

    Torsten

    dully007

    • Frisch an Board
    • Beiträge: 53
    ... danke für die schnelle Antwort.
    Das war es. Nun passts :)

    LG Andreas

    Tomcraft

    • modified Team
    • Gravatar
    • Beiträge: 44.083
    • Geschlecht:
    Super, danke für die Rückmeldung.

    Grüße

    Torsten

    pamint

    • Neu im Forum
    • Beiträge: 7
    Ich habe meine alte xt:Commerce auf modified eCommerce Shopsoftware nach anleitung von Tomcraft gemacht aber leider bekomme ich jetzt diese Meldung wenn ich meine seite aufrufe
    Zitat
    Forbidden
    You don't have permission to access / on this server.

    Additionally, a 403 Forbidden error was encountered while trying to use an ErrorDocument to handle the request.

    --------------------------------------------------------------------------------

    Apache/2.0.54 (Linux/SUSE) Server at www.mobildiscount48.de Port 80
    Kann jemand mir Helfen
    Danke

    pamint

    • Neu im Forum
    • Beiträge: 7
    Und das habe ich nicht gemacht

    Code: SQL  [Auswählen]
    UPDATE configuration SET configuration_value = 'xtc5' WHERE configuration_key = 'CURRENT_TEMPLATE';
     
    Wie soll ich das konkret machen?

    Tomcraft

    • modified Team
    • Gravatar
    • Beiträge: 44.083
    • Geschlecht:
    Wenn du das schon nicht gemacht hast, dann hast du vermutlich auch die update_1.0x_to_1.0y.sql nicht in die Datenbank eingespielt.

    Suche mal eine Anleitung für phpMyAdmin, sowas setze ich so langsam mal voraus oder du benutzt die Forensuche.

    Grüße

    Torsten

    saphir

    • Neu im Forum
    • Beiträge: 10
    Hallo,

    beim update v1.04 auf v1.05 bekomme ich eine Fehlermeldung, wenn ich die sql.Datei update_1.04_to_1.05 aus dem Installer mit PHPmyAdmin importiere, die andere sql hat keinen Fehler gebracht.
    Fehler

    SQL-Befehl:

    # EOF - DokuMan - 2010-07-07 - whos_online table too short customer_id, session_id too long
    # BOF - web28 - 2010-07-07 - set shop offline
    ALTER TABLE admin_access ADD shop_offline INT( 1 ) DEFAULT '0' NOT NULL ;

    MySQL meldet: Dokumentation
    #1060 - Duplicate column name 'shop_offline'
    Kann da jedmand helfen?

    Gruß, Claudia

    Tomcraft

    • modified Team
    • Gravatar
    • Beiträge: 44.083
    • Geschlecht:
    Du hattest "MODUL: Shop offline/online schalten" schon vorher im Shop installiert gehabt, daher die Fehlermeldung.

    Überspringe diesen Eintrag in der "update_1.04_to_1.05.sql" einfach und fahre mit dem nächsten fort.

    Grüße

    Torsten

    saphir

    • Neu im Forum
    • Beiträge: 10
    Hallo Torsten,

    das Modul hatte ich nicht manuell eingebaut und in der 1.04 war es doch nicht drin? Oder liegt's daran, dass ich erst die "xtcommerce.sql" importiert hatte und dann die andere?

    Und noch eine Anfängerfrage: Ich importiere die Datei als Ganzes in die DB über phpMyAdmin, wie kann ich da einen Eintrag überspringen? Macht man einfach die Datei auf und kopiert sich den Code und fügt den dann per Hand ein?

    Gruß, Claudia

    Händlerbund_728x90_animiert
    anything